Package org.springframework.security.acls.model

# Interface AuditableAcl

All Superinterfaces:
  `Acl`, `MutableAcl`, `Serializable`

All Known Implementing Classes:
  `AclImpl`

public interface AuditableAcl extends MutableAcl
A mutable ACL that provides audit capabilities.

## Method Summary

Modifier and Type
Method
Description
`void`
`updateAuditing(int aceIndex, boolean auditSuccess, boolean auditFailure)`

### Methods inherited from interface org.springframework.security.acls.model.Acl

`getEntries, getObjectIdentity, getOwner, getParentAcl, isEntriesInheriting, isGranted, isSidLoaded`

### Methods inherited from interface org.springframework.security.acls.model.MutableAcl

`deleteAce, getId, insertAce, setEntriesInheriting, setOwner, setParent, updateAce`

## Method Details

### updateAuditing

void updateAuditing(int aceIndex, boolean auditSuccess, boolean auditFailure)